Bug 604103 - PackageSackError: Rpmdb changed underneath us ... not caught in any of the frontends
PackageSackError: Rpmdb changed underneath us ... not caught in any of the fr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:a66704e4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 08:51 EDT by Thom Carlin
Modified: 2014-01-21 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2010-06-15 08:51 EDT, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2010-06-15 08:51:13 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/package-cleanup -q --dupes
component: yum-utils
executable: /usr/bin/package-cleanup
kernel: 2.6.33.5-112.fc13.x86_64
package: yum-utils-1.1.26-7.fc13
reason: rpmsack.py:66:_get_hdr:PackageSackError: Rpmdb changed underneath us
release: Fedora release 13 (Goddard)

backtrace
-----
rpmsack.py:66:_get_hdr:PackageSackError: Rpmdb changed underneath us

Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 386, in <module>
    util = PackageCleanup()
  File "/usr/bin/package-cleanup", line 59, in __init__
    self.main()
  File "/usr/bin/package-cleanup", line 322, in main
    dupes = self._find_installed_duplicates()
  File "/usr/bin/package-cleanup", line 162, in _find_installed_duplicates
    if 'kernel' in pkg.provides_names:
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 512, in <lambda>
    provides_names = property(fget=lambda self: self.returnPrcoNames('provides'))
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 488, in returnPrcoNames
    data = [n for (n, f, v) in self.returnPrco(prcotype)]
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 1147, in returnPrco
    self._populatePrco()
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 1161, in _populatePrco
    hdr = self._get_hdr()
  File "/usr/lib/python2.6/site-packages/yum/rpmsack.py", line 66, in _get_hdr
    raise Errors.PackageSackError, 'Rpmdb changed underneath us'
PackageSackError: Rpmdb changed underneath us

Local variables in innermost frame:
self: <RPMInstalledPackage : 1:java-1.6.0-openjdk-1.6.0.0-38.b18.fc12.x86_64 (0x3057690)>
mi: <rpm.mi object at 0x7f62ec819af8>
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x1a3a0e0>
Comment 1 Thom Carlin 2010-06-15 08:51:18 EDT
Created attachment 424139 [details]
File: backtrace
Comment 2 Jiri Moskovcak 2010-08-23 08:30:11 EDT
Package: yum-3.2.28-3.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run yum update
2. open other terminal and do rpm -Uvh something



Comment
-----
the exception should be caught
Comment 3 James Antill 2010-08-23 11:41:49 EDT
I'm really not sure how much I want to fix this.
Comment 4 Bug Zapper 2011-06-02 06:46:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:16:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.